package jp.jasminesoft.wagby.tests.t001_Customer;

import com.codeborne.selenide.Configuration;
import com.codeborne.selenide.WebDriverRunner;
import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

/**
 * 実行するテストクラスをアノテーションとして記述するためだけの
 * クラスです。
 *
 * @author JasmineSoft
 * @version $Revision$ $Date$
 */
@RunWith(Suite.class)
@SuiteClasses({
    CustomerTest.class,  // 登録・更新・詳細表示画面のテスト
    CustomerTest2.class, // 検索・一覧画面のテスト
    CustomerTest3.class, // 一覧更新画面のテスト
})
public class AllTests {

    /**
     * コンストラクタ。
     */
    protected AllTests() {
    }

    /**
     * テストの前処理を行います。
     */
    @BeforeClass
    public static void setUpClass() {
        // アクセスする URL のベース
        Configuration.baseUrl = "http://localhost:8921/wagby";
        // 利用するブラウザ
        Configuration.browser = WebDriverRunner.CHROME;
        // Selenium(WebDriver) 用ドライバファイル
        System.setProperty("webdriver.chrome.driver",
                "customize/chromedriver.exe");
    }

    /**
     * テスト実行後の後処理を行います。
     */
    @AfterClass
    public static void tearDownClass() {
        WebDriverRunner.closeWebDriver();
    }
}
